<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <client-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <client-model-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import ClientCategoryLeft from './modules/client/ClientCategoryLeft'
import ClientModelRight from './modules/client/ClientModelRight'
export default {
  name: 'ClientList',
  components: {
    ClientCategoryLeft,
    ClientModelRight,
  },
  data() {
    return {
      description: '客户项目',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>